Bug 2059670 - Make PyPy 3.9 the main pypy3 in Fedora 36
Summary: Make PyPy 3.9 the main pypy3 in Fedora 36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pypy3.9
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact:
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F36BetaFreezeException 2059685
TreeView+ depends on / blocked
 
Reported: 2022-03-01 17:05 UTC by Miro Hrončok
Modified: 2023-08-22 11:16 UTC (History)
5 users (show)

Fixed In Version: pypy3.9-7.3.8-1.3.9.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 07:07:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-03-01 17:05:14 UTC
PyPy 3.9 was added to Fedora recently. Apart from the obvious improvement (it's a newer version of Python), the package was made smaller by excluding tests to a subpackage and the installation layout was made more CPython-like.

I'd like like to make PyPy 3.9 be the "main" pypy3 in Fedora 36. That means, it will provide "pypy3" and it will own /usr/bin/pypy3.

PyPy 3.8 will remain co-installable with PyPy 3.9 in Fedora 36 as is PyPy 3.7.

The change itself means we will flip a bcond in pypy3.8 and in pypy3.9.


I'm opening this to request a freeze exception, as the PyPy 3 is included in the Python Classroom Lab.

Comment 3 Fedora Update System 2022-03-03 23:14:13 UTC
FEDORA-2022-3c3cd4a75d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3c3cd4a75d

Comment 4 Fedora Update System 2022-03-03 23:15:14 UTC
FEDORA-2022-84007b2273 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-84007b2273

Comment 5 Fedora Update System 2022-03-03 23:19:12 UTC
FEDORA-2022-3c3cd4a75d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-03-04 21:52:33 UTC
FEDORA-2022-84007b2273 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-84007b2273`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-84007b2273

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Geoffrey Marr 2022-03-07 22:26:05 UTC
Discussed during the 2022-03-07 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-03-07/f36-blocker-review.2022-03-07-17.01.txt

Comment 8 Fedora Update System 2022-03-10 07:07:03 UTC
FEDORA-2022-84007b2273 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-03-10 07:07:18 UTC
FEDORA-2022-84007b2273 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-08-22 10:51:56 UTC
FEDORA-2023-c729dabeb1 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c729dabeb1

Comment 11 Fedora Update System 2023-08-22 10:55:24 UTC
FEDORA-2023-c729dabeb1 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-08-22 11:14:16 UTC
FEDORA-2023-ddde191e04 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ddde191e04

Comment 13 Fedora Update System 2023-08-22 11:16:26 UTC
FEDORA-2023-ddde191e04 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.